Skip to main content
PUT
Update an income record

Autorizaciones

Authorization
string
header
requerido

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Parámetros de ruta

id
string<uuid>
requerido

A UUID string identifying this income.

Cuerpo

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

operation_date
string<date-time>
requerido
type
enum<string>
requerido
  • INV - Invoice
  • ADV - Advance
  • OTH - Other
  • REF - Refund
  • LCP - Loan CxP
  • CHK - Postdated Check
Opciones disponibles:
INV,
ADV,
OTH,
REF,
LCP,
CHK
total_value
string<decimal>
requerido
Pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
operation
string<uuid>
requerido
branch_office
string<uuid>
requerido
stakeholder
string<uuid>
requerido
cost_center
string<uuid>
requerido
custom_fields
unknown
operation_number
integer
predeterminado:0
Rango requerido: 0 <= x <= 2147483647
description
string | null
operation_status
enum<string>
  • PR - Provisional
  • CO - Complete
  • ER - Error
Opciones disponibles:
PR,
CO,
ER
status_description
string | null
is_bank_destination
boolean
deposit_reference
string | null
deposit_date
string<date> | null
is_directly_created
boolean
market_exchange_rate
string<uuid> | null
customer_detail
string<uuid> | null
category
string<uuid> | null
bank_account
string<uuid> | null
cash_register
string<uuid> | null

Respuesta

200 - application/json
message
string
requerido

Human-readable outcome of the request.

error
boolean
requerido

true when the request failed.

Ejemplo:

false

data
object
requerido

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.